<copyright> Meta TOM tom lexer.
    Written by <a href="mailto:tiggr@gerbil.org">Pieter J. Schoenmakers</a>

    Copyright &copy; 1996, 1997 Pieter J. Schoenmakers.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
    MA 02111-1307, USA

    <id>$Id: LexTom.t,v 1.9 1998/07/17 23:44:29 tiggr Exp $</id>
    </copyright>

implementation class
LexTom: mu.LexTom

end;

implementation instance
LexTom
{
  <doc> The most recent `doc' comment.  </doc>
  public mutable String documentation;

  redeclare ParseTom parser;
}

redefine int
  documentation String body
	    tag String tag
	     at int line
{
  if ([tag equal "doc"])
    {
      if (documentation != nil)
	[[parser output] documentation documentation];
      documentation = body;
    }

  = [super documentation body tag tag at line];
}

redefine id
  initWithStream InputStream s
	   named String n
{
  docp = YES;

  = [super initWithStream s named n];
}

end;
