<copyright> Meta TOM doc parser.
    Written by <a href="mailto:tiggr@gerbil.org">Pieter J. Schoenmakers</a>

    Copyright &copy; 1996, 1997 Pieter J. Schoenmakers.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
    MA 02111-1307, USA

    <id>$Id: ParseDoc.t,v 1.7 1998/04/22 21:24:07 tiggr Exp $</id>
    </copyright>

implementation class
ParseDoc: mu.ParseDoc

end;

implementation instance
ParseDoc
{
  <doc> The output filter we're using.  </doc>
  public mutable Output output;
}

id
    init LexDoc lexer
  output Output o
{
  output = o;

  = [super init lexer];
}

redefine void
  startDoc
{
  [output startDoc];
}

redefine void
  finishDoc
{
  [output finishDoc];
}

redefine void
  text String value
{
  [output docText value];
}

redefine void
  code String value
{
  [output docCode value];
}

redefine void
  identifier String value
{
  [output docIdentifier value];
}

redefine void
  par String value
{
  [output docPar];
}

end;
